MediaWiki:Gadget-Mainpage.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
(11 intermediate revisions by the same user not shown)
Line 2: Line 2:
.mainpage-container {
.mainpage-container {
display: flex;
display: flex;
gap: 2em;
}
}


Line 12: Line 13:
display: flex;
display: flex;
flex-direction: column;
flex-direction: column;
gap: 2em;
}
}


Line 17: Line 19:
background: var(--theme-color-9);
background: var(--theme-color-9);
border: 2px solid var(--theme-accent-color);
border: 2px solid var(--theme-accent-color);
border-radius: 3px;
border-radius: 10px;
margin-top: 10px;
margin-bottom: 10px;
text-align: center;
text-align: center;
}
}
Line 35: Line 35:
padding: 1px;
padding: 1px;
margin-bottom: 10px;
margin-bottom: 10px;
border-top-left-radius: 8px;
border-top-right-radius: 8px;
}
}


#welcome .mainpage-header {
#welcome .mainpage-header {
background: unset;
background: transparent;
}
}


Line 47: Line 49:
.mainpage-content {
.mainpage-content {
padding: 0.5em 0.5em 1em 0.5em;
padding: 0.5em 0.5em 1em 0.5em;
}
.mainpage-image-container {
display: flex;
gap: 0.5em;
justify-content: center;
flex-wrap: wrap;
}
}


Line 94: Line 103:


/* [[Template:Latest Edits]] Fix */
/* [[Template:Latest Edits]] Fix */
#ActivityFeed .mw-changeslist ul {
list-style: none;
margin: 0;
}
#ActivityFeed .mw-changeslist-line-inner-rollback,
#ActivityFeed .mw-changeslist-line-inner-rollback,
#ActivityFeed .mw-changeslist-line-inner-tags,
#ActivityFeed .mw-changeslist-line-inner-tags,
Line 117: Line 131:
#ActivityFeed .mw-changeslist-date,
#ActivityFeed .mw-changeslist-date,
#ActivityFeed .mw-tag-markers,
#ActivityFeed .mw-tag-markers,
#ActivityFeed .minoredit,
#ActivityFeed .newpage,
#ActivityFeed ul.special .comment,
#ActivityFeed ul.special .comment,
#ActivityFeed .mw-diff-bytes {
#ActivityFeed .mw-diff-bytes {
Line 125: Line 141:
display: flex;
display: flex;
width: 100%;
width: 100%;
justify-content: space-between;
text-align: left;
gap: 0.5em;
padding: 1px 2px;
border-radius: 3px;
}
#ActivityFeed .mw-changeslist-line:nth-of-type(odd) .mw-changeslist-line-inner {
background: var(--theme-color-8);
}
}


Line 136: Line 161:
}
}


#ActivityFeed .mw-changeslist-line-inner {
#ActivityFeed .mw-changeslist .mw-title {
text-align:left;
word-break: break-word;
width: auto;
hyphens: auto;
}
margin-left: 2px;
 
#ActivityFeed span.mw-changeslist-line-inner-userLink a {
vertical-align: middle;
}
}


#ActivityFeed span.mw-changeslist-line-inner-userLink {
#ActivityFeed .mw-changeslist .mw-userLink {
font-size: 11px;
margin-right: 2px;
position: relative;
}
}


/* For Chrome users, recent changes is a table instead of a list. I have literally no idea why, but don't remove these just because you don't see a reason (like I did) */
#ActivityFeed .mw-changeslist div table {
#ActivityFeed .mw-changeslist div table {
border-bottom: none;
border-bottom: none;
Line 160: Line 182:
border: none;
border: none;
}
}
#ActivityFeed .mw-changeslist ul.mw-contributions-list li,
#ActivityFeed .mw-changeslist ul.special li {
padding: 0;
}
.skin-minerva #ActivityFeed .mw-changeslist-line {
min-height: auto;
height: 2em;
border: none;
}
.skin-minerva #ActivityFeed .mw-changeslist-line-inner::before,
.skin-minerva #ActivityFeed .mw-changeslist-line-inner::after {
content: none;
}


/* End [[Template:Latest Edits]] Fix */
/* End [[Template:Latest Edits]] Fix */